Bug 1999615 - UI crashes when clicked on the grey background of the topology view if projects dropdown is open
Summary: UI crashes when clicked on the grey background of the topology view if projec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Mohammed Saud
QA Contact: Debsmita Santra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 12:48 UTC by Mohammed Saud
Modified: 2021-10-18 17:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9944 0 None None None 2021-08-31 12:52:28 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:34 UTC

Description Mohammed Saud 2021-08-31 12:48:44 UTC
Description of problem:

When clicked on topology view's background if the projects dropdown is open, the UI crashes because of a TypeError (`TypeError: event.target.closest is not a function`) in `NamespaceMenuToggle` component.

Prerequisites (if any, like setup, operators/versions):
None

Steps to Reproduce
    Open projects dropdown
    Click on topology view's background

Actual results:
UI crashes.

Expected results:
UI should not crash and the dropdown should get closed.

Reproducibility (Always/Intermittent/Only Once):
Always

Comment 3 Debsmita Santra 2021-09-02 14:15:45 UTC
verified on 4.9.0-0.nightly-2021-09-01-193941

Comment 6 errata-xmlrpc 2021-10-18 17:50:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.